@import url('https://fonts.googleapis.com/css2?family=Bai+Jamjuree:wght@700&family=Montserrat:wght@100;200;300;400;500;600;700;800;900&display=swap');

@tailwind base;
@tailwind components;
@tailwind utilities;

@layer base {
  html,
  body {
    @apply overflow-x-hidden;
  }

  .bai {
    font-family: 'Bai Jamjuree', sans-serif !important;
  }
  .montserrat {
    font-family: 'Montserrat', sans-serif !important;
  }

  ::placeholder {
    font-family: 'Montserrat', sans-serif !important;
    font-size: 1rem !important;
    opacity: 1;
  }

  :-ms-input-placeholder {
    font-family: 'Montserrat', sans-serif !important;
    font-size: 1rem !important;
  }

  ::-ms-input-placeholder {
    font-family: 'Montserrat', sans-serif !important;
    font-size: 1rem !important;
  }

  ::-webkit-input-placeholder {
    font-family: 'Montserrat', sans-serif !important;
    font-size: 1rem !important;
  }

  :-ms-input-placeholder {
    font-family: 'Montserrat', sans-serif !important;
    font-size: 1rem !important;
  }

  :-moz-placeholder {
    font-family: 'Montserrat', sans-serif !important;
    font-size: 1rem !important;
  }

  ::-moz-placeholder {
    font-family: 'Montserrat', sans-serif !important;
    font-size: 1rem !important;
  }

  p {
    font-family: 'Montserrat', sans-serif;
  }

  /* Titles */
  .section-title {
    @apply mb-10 text-3xl font-bold tracking-tight text-center lg:text-left sm:text-4xl;
    font-family: 'Bai Jamjuree', sans-serif;
  }

  /* Buttons */
  .btn {
    @apply inline-flex select-none w-auto min-w-[100px] md:min-w-[125px] justify-center items-center px-4 py-2 border border-transparent text-base font-medium rounded-md shadow-sm focus:outline-none relative overflow-hidden z-0 transition-all duration-700 ease-in-out;
    font-family: 'Montserrat', sans-serif !important;
  }

  .btn:before {
    @apply absolute w-full h-full transition-all duration-500 ease-in-out rounded-md -left-1 top-1/2;
    content: '';
    min-width: calc(100% + 30px);
    min-height: 45px;
    transform: translate(-100%, -50%);
    z-index: -1;
  }

  .btn:hover:before {
    transform: translate(0%, -50%);
  }

  /* .btn-primary.active {
    @apply !text-primary;
  }

  .btn-white.active {
    @apply !text-white;
  } */

  .btn-primary {
    @apply text-secondary bg-primary hover:text-primary hover:border-primary focus:ring-primary ring-primary ring-offset-primary;
  }

  /* .btn-primary.btn-selector {
    @apply hover:!text-secondary;
  } */

  .btn-white {
    @apply bg-white text-secondary hover:text-white hover:border-white focus:ring-white ring-white ring-offset-white;
  }

  .btn-white:before,
  .btn-primary:before {
    @apply bg-secondary;
  }

  /* Utils */
  .glass {
    z-index: 0;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    -moz-box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    -webkit-box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    -ms-box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    -os-box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(12px);
    -moz-backdrop-filter: blur(12px);
    -webkit-backdrop-filter: blur(12px);
    -ms-backdrop-filter: blur(12px);
    -os-backdrop-filter: blur(12px);
  }

  /* Header */
  .main-menu:before {
    content: '';
    @apply absolute left-0 w-screen h-[1px] bg-white -bottom-2;
  }

  .main-menu > * > a.active,
  .main-menu > * > a:hover {
    @apply text-primary;
  }

  .main-menu > * > a:after {
    content: '';
    @apply absolute w-2 h-2 transition-all duration-300 ease-in-out transform -translate-x-1/2 translate-y-1/2 bg-transparent rounded-full bottom-[-6px] left-1/2;
  }

  .main-menu > * > a.active:after,
  .main-menu > * > a:hover:after {
    @apply bg-primary;
  }

  #mobile-menu  > * > a.active,
  #mobile-menu  > * > a:hover {
    @apply bg-secondary text-primary;
  }

  .input {
    @apply block w-full text-white bg-transparent rounded-md shadow-sm appearance-none focus:ring-primary focus:border-primary sm:text-sm border-muted placeholder-muted montserrat;
  }

  input.input::-webkit-outer-spin-button,
  input.input::-webkit-inner-spin-button {
    /* display: none; <- Crashes Chrome on hover */
    -webkit-appearance: none;
    margin: 0; /* <-- Apparently some margin are still there even though it's hidden */
  }

  input[type='number'] {
    -moz-appearance: textfield; /* Firefox */
  }
}

@layer utilities {
  input[type='number']::-webkit-inner-spin-button,
  input[type='number']::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
  }
}
